; INCLUDE PRO ADRESACI HARDWARE
; PRO DUAL PROCESOR 

;--------------------------------------------------

;RIDICI SLOVA PRO JEDNOTKY SOURADNIC SU04

MAX_POC_OS_ODM	        	EQU 16
SU4_IO_LEN              	EQU 100h
SU4_IO_CONTROL          	EQU 4   ;offset pro ridici slovo
SU4_STAT_IRC_ERR        	EQU 1   ;Bit je nastaven pri zkratu nebo preruseni vodicu snimace IRC.
SU4_STAT_AOUTP_ERR      	EQU 2   ;Bit je nastaven pri zjisteni spatne funkce analogoveho vystupu.
SU4_STAT_WRITE_CNT_ERR  	EQU 4   ;Bit je nastaven pri nespravnem poctu zapisu a cteni do karty SU4
SU4_STAT_BOARD_ERR      	EQU 8   ;Bit je nastaven pri zjisteni chyby v pripojeni desky na sbernici.
SU4_STAT_HWVER_ERR      	EQU 10H ;Bit je nastaven pri chybe ve zjisteni verze hardware desky.
SU4_STAT_REF_ERR        	EQU 20H ;Bit je nastaven pri chybne poloze nuloveho pulsu.

SU4_CNTL_TPS_EN          	EQU 40h ;Zapina rezim merici sondy
SU4_CNTL_CHECK5V         	EQU 10H ;Prepina kontrolni vstup IRC na kontrolu 5V
SU4_CNTL_EN_ANAL_OUT     	EQU 4   ;Uvolnuje vystup analogoveho napeti

SU4_IRC_U_ERR_MASK      	EQU 02000H      ;Chyba pri utrzeni vodice od snimace IRC nebo pri zkratu.
SU4_IRC_PH_ERR_MASK     	EQU 04000H      ;Chyba faze vstupnich signalu
SU4_IRC_REF_ACT_MASK		EQU 08000H      ;Spodnich 13 bitu odpovida poloze citace v okamziku nuloveho pulsu. 

VYP_NAP_IRC_SU4         	EQU 0FB00H      	; -480mV pro vypnute napajeni IRC:
MIN_NAP_IRC_SU4         	EQU 52C9h       	;  Min. napeti pro irc - 4.5V:
MAX_NAP_IRC_SU4        		EQU 75beh       	;  Max. napeti pro irc - 6.4V:
LEN_CONFIG_SU4_82    		EQU 6900		;Delka tabulky XLINX 82
LEN_CONFIG_SU4_84    		EQU 12000		;Delka tabulky XLINX 84

LEN_CONFIG_CDIST       		EQU 6900		;Delka tabulky XLINX -CDIST


;--------------------------------------------------
 

